.geshifilter {
  margin: gap(3) 0;
  padding: 0;
  border: 0;
  overflow: auto;
  display: grid;
  grid-template-columns: 1fr;
  max-height: gap(4) * 20 + gap();
  font-size: $font-size-sm;
  line-height: gap(4);

  > div {
    white-space: nowrap;
    padding: gap();
    background-color: mix($gray-100, $orange-100);
    overflow: auto;
    font-family: $font-family-monospace !important;
    position: relative;
    @extend %hide-scrollbars;
    border-left: 1px solid $orange-100;
    transition: border-color 300ms ease-in-out;

    &:hover {
      border-color: $orange-400;

      &::before,
      &::after {
        opacity: 1;
      }
    }

    &::before,
    &::after {
      background-color: $orange-400;
      position: absolute;
      left: 0;
      font-size: 2px;
      line-height: 2px;
      padding: 1px 3px 1px 2px;
      color: $orange-700;
      opacity: 0;
      transition: opacity 300ms ease-in-out;
    }
    &::before { content: "begin"; top: 0; border-bottom-right-radius: 2px; }
    &::after  { content: "end"; bottom: 0; border-top-right-radius: 2px; }
  }
}
